# ================================================================= #
#                   ClearLag Language File                          #
# ================================================================= #
# You can translate all plugin messages here.
# You can use color codes with '&' (e.g., &a, &c, &l).
# Placeholders like {count} or {time} must be kept.

# The prefix used before most messages
# ================================================================= #
#                   ClearLag 语言文件（中文）                       #
# ================================================================= #
# 可在此翻译所有插件消息。
# 可用“&”颜色码（如 &a、&c、&l）。
# 占位符 {count}、{time} 等必须原样保留，不能删除或改动。

# 大部分消息的前缀
prefix: '&e[垃圾娘] &r'

common:
  reload: '&a配置已重载！'
  player-only: '&c该命令只能由玩家执行。'

errors:
  no-permission: '&c你没有权限使用该命令。'
  unknown-command: '&c未知命令。使用 &e/clearlag &c查看列表。'
  usage: '&c用法：&e{usage}'
  must-be-positive: '&c“{value}”必须是正数。'
  must-be-number: '&c“{value}”必须是有效数字。'
  world-not-found: '&c未找到世界“{world}”。'

commands:
  help-header: '&6--- ClearLag 命令列表 ---'
  help-lines:
  - '&e/clearlag clear <items/entity/all> &7- 清理实体/物品。'
  - '&e/clearlag info &7- 显示插件信息。'
  - '&e/clearlag killmobs <evil/good/all> &7- 清理生物。'
  - '&e/clearlag reload &7- 重载配置。'
  - '&e/clearlag nextclear &7- 显示下次自动清理倒计时。'
  - '&e/clearlag topworld &7- 按实体数列出世界排行。'
  - '&e/clearlag cpu &7- 显示近期 CPU 占用。'
  - '&e/clearlag ram &7- 显示近期内存占用。'
  - '&e/clearlag specs &7- 显示综合系统信息。'
  - '&e/clearlag togglemessages &7- 开关个人清理倒计时提示。'
  - '&e/clearlag chunkfinder <count> &7- 查找最卡的 <count> 个区块。'
  - '&e/clearlag unloadchunk <世界> <x> <z> &7- 卸载指定区块。'
  - '&e/clearlag nuke [半径] &7- 强力清除周围实体。'
  
  clear:
    success: '&a已移除 {count} 个类型为 {type} 的实体。'
  
  info:
    header: '&6--- ClearLag 信息 ---'
    version: '&e版本：&a{version}'
    author: '&e作者：&a{author}'
    website: '&e官网：&a{website}'
    auto-clear: '&e自动清理：{status}'
    interval: '&e间隔：&a{time} 秒'
    status-yes: '&a开启'
    status-no: '&c关闭'
  
  killmobs:
    success: '&a已击杀 {count} 个类型为 {type} 的生物。'
  
  nextclear:
    disabled: '&c自动清理已关闭。'
    in-progress: '&e自动清理正在进行或刚刚完成。'
    time-until: '&e下次自动清理还剩 &a{time}'
  
  topworld:
    header: '&6--- 实体数量最多的世界 ---'
    line: '&e{rank}. {world}：&a{count} 个实体'
  
  cpu:
    header: '&6--- CPU 占用（全系统） ---'
    no-data: '&c暂无 CPU 历史数据，请稍候。'
    line: '&e最近 {time}：&a{value}%'
  
  ram:
    header: '&6--- 内存占用（JVM） ---'
    no-data: '&c暂无内存历史数据，请稍候。'
    total: '&e总内存：&a{total} MB'
    line: '&e最近 {time}：&a{value} MB'
  
  specs:
    header: '&6--- 服务器性能概览 ---'
    tps: '&aTPS：&e{tps}'
    cpu: '&eCPU（1 分钟平均）：&a{value}'
    ram: '&e内存（1 分钟平均）：&a{value}'
    no-data: 暂无数据
  
  togglemessages:
    enabled: '&a清理倒计时提示已&l开启&a。'
    disabled: '&a清理倒计时提示已&l关闭&a。'
  
  chunkfinder:
    header: '&6--- 最卡的 {count} 个区块（按实体数） ---'
    no-chunks: '&7当前无已加载区块。'
    line: '&e{rank}. 世界：&a{world}&e，区块：[&a{x}, {z}&e] - 实体：&c{count}'
  
  unloadchunk:
    already-unloaded: '&e世界 {world} 的区块 [&a{x}, {z}&e] 已处于卸载状态。'
    success: '&a已成功卸载世界 {world} 的区块 [&a{x}, {z}&e]。'
    fail: '&c卸载失败，该区块可能正在使用或为出生点保护区块。'
  
  nuke:
    success: '&c&l核平！&a已清除半径 {radius} 格内的 {count} 个实体。'

autoclear:
  countdown: '&6将在 &c{time} &6秒后进行物品与实体清理！'
  success: '&a已移除 {count} 个实体！'

warnings:
  tps: '&c[ClearLag] 服务器 TPS 已降至 &e{tps}&c！性能告急！'
  fast-clock: '&c在你的区块（{x}, {z}）检测到高速红石时钟，已临时禁用以防止卡顿。'

update:
  header: '&6========================================'
  outdated: '&eClearLag 当前版本已过时！'
  current-version: '&e当前版本：&c{current}'
  new-version: '&e最新版本：&a{new}'
  download: '&e点击下载：&b{url}'

papi:
  disabled: 关闭
  active: 开启
